import pyfiglet
import time
import os
import random
from colorama import Fore, Style

def clear_terminal():
    """Membersihkan layar terminal (Windows & Linux/macOS)."""
    os.system("cls" if os.name == "nt" else "clear")

def print_static_text():
    """Menampilkan teks tambahan yang tidak berubah."""
    print("\n" + Fore.GREEN + "🔥 Stay Connected! 🔥" + Style.RESET_ALL)
    print(Fore.CYAN + "📢 Join Telegram Group: https://t.me/sam_xode" + Style.RESET_ALL)
    print(Fore.GREEN + "🐦 Follow Twitter: https://x.com/sam_xode" + Style.RESET_ALL)

def get_random_color():
    """Mengembalikan warna acak dari colorama."""
    colors = [Fore.RED, Fore.BLUE, Fore.YELLOW, Fore.MAGENTA, Fore.CYAN, Fore.GREEN, Fore.WHITE]
    return random.choice(colors)

def color_change_effect_forever(text, font="big", delay=1):
    """Menampilkan teks dengan warna berubah-ubah setiap 1 detik menggunakan font tebal."""
    ascii_art = pyfiglet.figlet_format(text, font=font)  # Font lebih besar & tebal
    
    try:
        while True:
            clear_terminal()
            color = get_random_color()  # Pilih warna acak
            print(color + ascii_art + Style.RESET_ALL)  # Cetak teks dengan warna acak
            print_static_text()  # Cetak teks tambahan tetap stabil
            time.sleep(delay)
    except KeyboardInterrupt:
        clear_terminal()
        print(Fore.RED + "Color effect stopped!" + Style.RESET_ALL)

# Jalankan efek perubahan warna
clear_terminal()
color_change_effect_forever("<SAMXODE/>", font="big", delay=3)
